[Product-Developers] plone.recipe.varnish fails on Ubuntu Hardy Heron

Maurits van Rees m.van.rees at zestsoftware.nl
Thu May 15 20:18:39 UTC 2008


Hi,

I just tried to get varnish working with plone.recipe.varnish on the
new Ubuntu.  This failed.  My buildout.cfg is:

==============================================
[buildout]
parts =
    varnish-build

[varnish-build]
recipe = plone.recipe.varnish:build
url = http://puzzle.dl.sourceforge.net/sourceforge/varnish/varnish-1.1.2.tar.gz
==============================================

The buildout ends with this error about a missing curses.h:

==============================================
Making install in varnishhist
make[2]: Entering directory `/home/maurits/tmp/varnishtry/parts/varnish-build/source/bin/varnishhist'
gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include   -include config.h -g -O2 -MT varnishhist-varnishhist.o -MD -MP -MF .deps/varnishhist-varnishhist.Tpo -c -o varnishhist-varnishhist.o `test -f 'varnishhist.c' || echo './'`varnishhist.c
varnishhist.c:35:20: error: curses.h: No such file or directory
varnishhist.c: In function 'update':
varnishhist.c:97: error: 'COLS' undeclared (first use in this function)
varnishhist.c:97: error: (Each undeclared identifier is reported only once
varnishhist.c:97: error: for each function it appears in.)
varnishhist.c:109: error: 'LINES' undeclared (first use in this function)
varnishhist.c: In function 'do_curses':
varnishhist.c:250: error: 'stdscr' undeclared (first use in this function)
varnishhist.c:250: error: 'FALSE' undeclared (first use in this function)
varnishhist.c:260: error: 'ERR' undeclared (first use in this function)
varnishhist.c:262: error: 'KEY_RESIZE' undeclared (first use in this function)
make[2]: *** [varnishhist-varnishhist.o] Error 1
make[2]: Leaving directory `/home/maurits/tmp/varnishtry/parts/varnish-build/source/bin/varnishhist'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/home/maurits/tmp/varnishtry/parts/varnish-build/source/bin'
make: *** [install-recursive] Error 1
While:
  Installing varnish-build.

An internal error occured due to a bug in either zc.buildout or in a
recipe being used:

AssertionError:

==============================================

I suspect this has to do with Ubuntu Hardy.  I have varnish running
fine on my laptop with Ubuntu Gutsy.

But maybe I am just missing a package.  I have got python2.4-dev
installed.  I installed lsb-build-base3 (which brings gcc-3.4 with it,
among others) as that at least has a curses.h, but that did not help.

Ideas?

-- 
Maurits van Rees | http://maurits.vanrees.org/
            Work | http://zestsoftware.nl/
"This is your day, don't let them take it away." [Barlow Girl]





More information about the Product-Developers mailing list